function reinit_modobs(obj,event)
% reinit_modobs Re-initialization of the observations model parameters
% ===============================================================
global input_error;

data=guidata(1);
if isfield(data, 'CVs')
    % Les CVs dans le panel du haut
    for i=1:length(data.CVs.nomparamS)
        var=data.CVs.nomparamS{i};
        data.(var)=eval(data.CVs.valparamS{i});
        tag=[var,'_tag'];
        if isfield(data, tag)
            set(data.(tag),'string',eval(['data.',var]),'backgroundcolor','w')
        end
        % oter l'indication d'eventuelles erreurs précédentes sur le champ
        if length(input_error)>0 && isfield(input_error, tag)
            input_error= rmfield(input_error, tag);
        end
    end
end

% Le pas de temps des calculs reste celui de lutilisateur
%tag='deltaT_tag';
%if isfield(data, tag) && ishandle(data.deltaT_tag)
%    set(data.deltaT_tag,'string',data.deltaT,'backgroundcolor','w', ...
%        'enable', 'on')
%end

% les erreurs
if length(input_error)>0 && isfield(input_error, tag)
    input_error= rmfield(input_error, tag);
end

handles=guihandles(1);
ndata=catstruct(data,handles);
guidata(1,ndata)
end % fin reinit_modobs
